package com.bohuikeji.delivery.backstage.entity.vo;

import com.bohuikeji.delivery.backstage.entity.TCourier;
import com.bohuikeji.frame.module.admin.entity.vo.AddressVo;
import lombok.Data;

import java.io.Serializable;

/**、
 * 骑手位置信息VO
 * @author 孙劲辉
 */
@Data
public class CourierAddressVo implements Serializable {
    TCourier courier;
    AddressVo address;

    /**
     * 初始化
     * @param courier
     * @param address
     * @return
     */
    public static CourierAddressVo init(TCourier courier,AddressVo address){
        CourierAddressVo vo=new CourierAddressVo();
        vo.setCourier(courier);
        vo.setAddress(address);
        return vo;
    }
}
